summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJurek Bartuszek <jurek@gentoo.org>2007-02-13 19:44:39 +0000
committerJurek Bartuszek <jurek@gentoo.org>2007-02-13 19:44:39 +0000
commit82eb6bdb98837e53892a9b08307c96307a7e1f1f (patch)
tree372146f1d08548343ac3be39540938f4e584dd5b /dev-dotnet/xsp/files
parentStable on amd64 wrt bug #166144. (diff)
downloadhistorical-82eb6bdb98837e53892a9b08307c96307a7e1f1f.tar.gz
historical-82eb6bdb98837e53892a9b08307c96307a7e1f1f.tar.bz2
historical-82eb6bdb98837e53892a9b08307c96307a7e1f1f.zip
dev-dotnet/xsp: Version bump (1.2.3)
Package-Manager: portage-2.1.2-r9
Diffstat (limited to 'dev-dotnet/xsp/files')
-rw-r--r--dev-dotnet/xsp/files/1.2.3/mod-mono-server.confd34
-rw-r--r--dev-dotnet/xsp/files/1.2.3/mod-mono-server.initd81
-rw-r--r--dev-dotnet/xsp/files/1.2.3/xsp.confd12
-rw-r--r--dev-dotnet/xsp/files/1.2.3/xsp.initd38
-rw-r--r--dev-dotnet/xsp/files/digest-xsp-1.2.33
5 files changed, 168 insertions, 0 deletions
diff --git a/dev-dotnet/xsp/files/1.2.3/mod-mono-server.confd b/dev-dotnet/xsp/files/1.2.3/mod-mono-server.confd
new file mode 100644
index 000000000000..63b00fae54c0
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.2.3/mod-mono-server.confd
@@ -0,0 +1,34 @@
+# Config file for /etc/init.d/mod-mono-server
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.2.3/mod-mono-server.confd,v 1.1 2007/02/13 19:44:39 jurek Exp $
+
+# Configuration directives for mod-mono-server.exe. For more information on
+# these variables, see the man page for xsp(1).
+
+# This is the document root; trailing slash is not necessary
+#MonoServerRootDir="/usr/lib/xsp/test"
+
+# Directory to search for files with an `.webapp' extension.
+#MonoApplicationsConfigDir="/usr/lib/xsp/test"
+
+# Comma separated list of directories (in the form virtual:real) for all
+# applications managed by the server. For example:
+# /app1:/var/www/localhost/htdocs/app1,/app2:/var/www/localhost/htdocs/app2
+MonoApplications="/mono:/usr/lib/xsp/test"
+
+# The communication channel used between mod-mono-server and mod_mono.
+# unix - A unix socket
+# tcp - A TCP connection
+MonoServerChannel="unix"
+
+# When the comm. channel is "unix", the local filename used by the socket.
+UnixSocketFileName="/tmp/mod_mono_server"
+
+# When the comm. channel is "tcp", IP address for the server to listen on.
+#MonoServerAddress=127.0.0.1
+
+# When the comm. channel is "tcp", port for the server to listen on.
+#MonoServerPort=8080
+
+# If you want to host .NET 2.0 applications you have to set this to 2.
+# Otherwise, leave it unchaged
+MonoServerVersion=1
diff --git a/dev-dotnet/xsp/files/1.2.3/mod-mono-server.initd b/dev-dotnet/xsp/files/1.2.3/mod-mono-server.initd
new file mode 100644
index 000000000000..24c1ecad35bd
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.2.3/mod-mono-server.initd
@@ -0,0 +1,81 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.2.3/mod-mono-server.initd,v 1.1 2007/02/13 19:44:39 jurek Exp $
+
+depend() {
+ use net
+ after dotnet
+}
+
+start() {
+ [ -z "$MonoServerRootDir" ] && \
+ MonoServerRootDir="/usr/lib/xsp/test"
+ [ -z "$MonoApplications" ] && \
+ MonoApplications="/mono:/usr/lib/xsp/test,/:."
+ [ -z "$UnixSocketFileName" ] && \
+ UnixSocketFileName="/tmp/mod_mono_server"
+ [ -z "$MonoServerAddress" ] && \
+ MonoServerAddress=127.0.0.1
+ [ -z "$MonoServerPort" ] && \
+ MonoServerPort=8080
+ [ -z "$MonoServerVersion" ] && \
+ MonoServerVersion=1
+
+ MONO_SERVER_OPTS="--root ${MonoServerRootDir} \
+--applications ${MonoApplications} --nonstop"
+
+ [ -n "$MonoApplicationsConfigDir" ] && \
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--appconfigdir ${MonoApplicationsConfigDir}"
+
+ case "$MonoServerChannel" in
+ "tcp" )
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--address ${MonoServerAddress} --port ${MonoServerPort}"
+ ;;
+
+ "unix" )
+ [ -f "$UnixSocketFileName" ] && rm -f $UnixSocketFileName
+ MONO_SERVER_OPTS="${MONO_SERVER_OPTS} \
+--filename ${UnixSocketFileName}"
+ ;;
+
+ * )
+ eerror "Please set a valid value for MonoServerChannel"
+ return 1
+ ;;
+ esac
+
+ if [ ${MonoServerVersion} -eq 1 ]; then
+ modmonoserverpath=1.0/mod-mono-server.exe
+ elif [ ${MonoServerVersion} -eq 2 ]; then
+ modmonoserverpath=2.0/mod-mono-server2.exe
+ else
+ eerror "MonoServerVersion was not properly set. Check your /etc/conf.d/xsp"
+ return 1
+ fi
+
+ export MONO_SHARED_DIR=/tmp
+
+ ebegin "Starting mod-mono-server"
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/mod-mono-server.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/mono/${modmonoserverpath} \
+ -- $MONO_SERVER_OPTS
+
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping mod-mono-server"
+
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/mod-mono-server.pid
+
+ eend $?
+}
diff --git a/dev-dotnet/xsp/files/1.2.3/xsp.confd b/dev-dotnet/xsp/files/1.2.3/xsp.confd
new file mode 100644
index 000000000000..53fa2f45149b
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.2.3/xsp.confd
@@ -0,0 +1,12 @@
+# Config file for /etc/init.d/xsp
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.2.3/xsp.confd,v 1.1 2007/02/13 19:44:39 jurek Exp $
+
+# This is the document root; trailing slash is not necessary
+MonoServerRoot=/usr/lib/xsp/test
+
+# Port for the server to run on
+MonoServerPort=8000
+
+# If you want to host .NET 2.0 applications you have to set this to 2.
+# Otherwise, leave it unchanged
+MonoServerVersion=1
diff --git a/dev-dotnet/xsp/files/1.2.3/xsp.initd b/dev-dotnet/xsp/files/1.2.3/xsp.initd
new file mode 100644
index 000000000000..8dc3ae06ac2c
--- /dev/null
+++ b/dev-dotnet/xsp/files/1.2.3/xsp.initd
@@ -0,0 +1,38 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/files/1.2.3/xsp.initd,v 1.1 2007/02/13 19:44:39 jurek Exp $
+
+depend() {
+ need net
+ after dotnet
+}
+
+start() {
+ ebegin "Starting xsp"
+
+ if [ ${MonoServerVersion} -eq 1 ]; then
+ xsppath=1.0/xsp.exe
+ elif [ ${MonoServerVersion} -eq 2 ]; then
+ xsppath=2.0/xsp2.exe
+ else
+ eerror "MonoServerVersion was not properly set. Check your config file"
+ return 1
+ fi
+
+ start-stop-daemon --quiet --start \
+ --background \
+ --make-pidfile \
+ --pidfile /var/run/aspnet/xsp.pid \
+ --chuid aspnet \
+ --exec /usr/bin/mono /usr/lib/mono/${xsppath} -- --root ${MonoServerRoot} --port ${MonoServerPort} --nonstop
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping xsp"
+ start-stop-daemon -o --quiet --stop \
+ --pidfile /var/run/aspnet/xsp.pid
+ eend $?
+}
+
diff --git a/dev-dotnet/xsp/files/digest-xsp-1.2.3 b/dev-dotnet/xsp/files/digest-xsp-1.2.3
new file mode 100644
index 000000000000..3e8c11b73fde
--- /dev/null
+++ b/dev-dotnet/xsp/files/digest-xsp-1.2.3
@@ -0,0 +1,3 @@
+MD5 bdd6bd7d2dab9e117fc1fd4c03aac45b xsp-1.2.3.tar.gz 230891
+RMD160 b475bce2cd802c162c4a3883efbf84d1ac225df9 xsp-1.2.3.tar.gz 230891
+SHA256 710e9b139c9049fa56192f5d4f9da205be835ae0614e4d44e14f47a83db31deb xsp-1.2.3.tar.gz 230891